| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csplugincommon/canvas/draw_common.h File Reference

Common software canvas drawing tools. More...

`#include "csplugincommon/canvas/graph2d.h"`

Go to the source code of this file.

## Classes
class | csPixMixerCopy< Tpixel >
| PixMixer that ignores alpha. More...
class | csPixMixerNoop< Tpixel >
| PixMixer that doesn't do anything. More...
class | csPixMixerRGBA< Tpixel >
| PixMixer that mixes the pixel into the background with alpha. More...
## Functions
template<class Tpixel>
static void | SplitAlpha (const int color, Tpixel &colorPart, uint8 &alphaPart)
| Split a g2d color into the color and alpha part.

## Detailed Description

Common software canvas drawing tools.

Definition in file draw_common.h.